<?php $related_posts = perfect_blog_related_posts();
if(get_theme_mod('perfect_blog_show_related_post',true)==1){ ?>
<?php if ( $related_posts->have_posts() ): ?>
    <div class="related-posts">
        <?php if ( get_theme_mod('perfect_blog_related_post_title','Related Posts') != '' ) {?>
            <h3 class="mb-3"><?php echo esc_html( get_theme_mod('perfect_blog_related_post_title',__('Related Posts','perfect-blog')) ); ?></h3>
        <?php }?>
        <div class="row">
            <?php while ( $related_posts->have_posts() ) : $related_posts->the_post(); ?>
                <div class="col-lg-4 col-md-6">
                    <div class="related-box mb-3">
                        <?php if(has_post_thumbnail()) { ?>
                            <div class="box-image mb-3">
                                <?php the_post_thumbnail(); ?>
                            </div>
                        <?php }?>
                        <h4><?php the_title(); ?></h4>
                        <div class="entry-content"><p><?php $perfect_blog_excerpt = get_the_excerpt(); echo esc_html( perfect_blog_string_limit_words( $perfect_blog_excerpt, esc_attr(get_theme_mod('perfect_blog_excerpt_number','20')))); ?><?php echo esc_html( get_theme_mod('perfect_blog_post_suffix_option','...') ); ?></p></div>
                        <?php if( get_theme_mod('perfect_blog_button_text','Read complete post') != ''){ ?>
                            <div class="second-border text-start">
                                <a href="<?php echo esc_url( get_permalink() );?>" title="<?php esc_attr_e( 'Read More', 'perfect-blog' ); ?>"><?php echo esc_html(get_theme_mod('perfect_blog_button_text','Read complete post'));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('perfect_blog_button_text','Read complete post'));?></span></a>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php endif; ?>
<?php wp_reset_postdata(); }?>